2017-09-23 00:21 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003615Kali Linux[All Projects] Tool Upgradepublic2016-10-31 15:16
Reportererasmo52 
Assigned Torhertzog 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.1 
Summary0003615: virtualbox guest additions 5.1.6 bug
DescriptionAfter upgraded the virtualbox guest additions 5.1.6 there is problems during the login phase.
In the login screen the typed characters don't appear but they are typed and if I try to close the virtualbox window and after I cancel the action, it is possible to see the typed characters; to go to the requesting password window I need to type return and again pass for the "close virtualbox window / cancel action" phase; again typing password nothing appear exactly as before described.
I uninstalled the kali guest additions package and I installed the oracle ordinary guest additions package from the .iso distribution and after that all work fine.
Thank you for the attention.
Steps To ReproduceIn a virtualbox 5.1.6 installation of a Kali 2016.1 guest OS upgrade to the virtualbox guest additions 5.1.6 and after try to login as usual.
Optionally after that you can uninstall the kali guest additions package and install the oracle ordinary guest additions package from the .iso distribution and after try to login as usual again.
Attached Files

-Relationships
+Relationships

-Notes

~0006006

rhertzog (administrator)

Should be fixed now that virtualbox-ext-pack is in sync with virtualbox.

~0006016

erasmo52 (reporter)

I am sorry, but the problem it is not solved.
It occurs under Windows Host and also under Ubuntu Host with Oracle 5.1.6 version of Virtualbox and Oracle_VM_VirtualBox_Extension_Pack-5.1.6-110634.vbox-extpack installed for a Guest OS Kali-Linux 2016.1 rolling updated until all today's releases and specially with virtualbox-guest 5.1.6-dfsg-2+b1 version.
The problems happens exactly as I described before:
The Login screen do not appear every time and anyway also when it appear you can type Username and password and they are accepted and you can login, but they are not displayed as you type them and the displayed screen do not change after the CR of the username to ask you the password, but the characters you typed are accepted and processed.
As I already told you, if I uninstall the Kali guest additions and I install the Oracle guest additions from the Oracle .iso file, all work fine.
You can easily reproduce this behavior.
Here we are
Thank you anyway.

~0006041

erasmo52 (reporter)

I just imported in the virtualbox host 5.1.6 the guest distribution Kali-Linux-2016.2-vbox-amd64.ova. Well, after the complete upgrade, in which the guest additions too are upgraded to the 5.1.6 version, there is the same problems that I noticed in the upgraded version of 2016.1
Here we are always
Thank you anyway.

~0006086

erasmo52 (reporter)

Finally the new release (5.1.8) of virtualbox guest additions work well without any problem.
Then the question is CLOSED and thank you anyway everybody.

~0006087

fantomaster (reporter)

The new release corrected this for me as well
+Notes

-Issue History
Date Modified Username Field Change
2016-09-23 09:22 erasmo52 New Issue
2016-09-30 08:48 rhertzog Note Added: 0006006
2016-09-30 08:48 rhertzog Status new => closed
2016-09-30 08:48 rhertzog Assigned To => rhertzog
2016-09-30 08:48 rhertzog Resolution open => fixed
2016-10-02 07:17 erasmo52 Note Added: 0006016
2016-10-02 07:17 erasmo52 Status closed => feedback
2016-10-02 07:17 erasmo52 Resolution fixed => reopened
2016-10-10 06:35 erasmo52 Note Added: 0006041
2016-10-10 06:35 erasmo52 Status feedback => assigned
2016-10-30 06:36 erasmo52 Note Added: 0006086
2016-10-30 19:40 fantomaster Note Added: 0006087
2016-10-31 15:16 rhertzog Status assigned => resolved
2016-10-31 15:16 rhertzog Fixed in Version => 2017.1
2016-10-31 15:16 rhertzog Resolution reopened => fixed
+Issue History